import 'package:circluar_progress_gradient/src/MyPainter1.dart';
import 'package:circluar_progress_gradient/src/MyPainter2.dart';
import 'package:flutter/material.dart';


/**
 *Developed by Suneel kumar 14-02-2022
 */


class CircleProgress extends StatelessWidget {
  double ?radius,lineStrokeWidth,progressStrokeWidth,progress,gapValue;
  double pi=3.14;
  bool ?fullProgress=false;

  Color? lineColor,progressColor1,progressColor2;

  CircleProgress({this.radius=100,this.lineStrokeWidth,this.progressStrokeWidth,this.lineColor,this.progressColor1,this.progressColor2,this.progress,this.fullProgress=false,this.gapValue});

  @override
  Widget build(BuildContext context) {
    return  Stack(
      children: [
        SizedBox(
          height: radius,
          width: radius,
          child: CustomPaint(
            foregroundPainter:  MyPainter1(
              pi: pi,
                gapValue: gapValue??10,
                fullProgress: fullProgress,
                lineColor:lineColor?? Colors.pinkAccent.withOpacity(0.2),
                completePercent:100,
                width: lineStrokeWidth??10
            ),
          ),
        ),

        SizedBox(
          height: radius,
          width: radius,
          child:  CustomPaint(
            foregroundPainter:  MyPainter2(
                pi: pi,
                fullProgress: fullProgress,
                completePercent: progress??0,
                width: progressStrokeWidth??lineStrokeWidth??10,
              progressColor1: progressColor1??Colors.purpleAccent,
              progressColor2: progressColor2??Colors.pink
            ),
          ),
        )
      ],
    );
  }
}
