// ignore: file_names
import 'dart:math';
import 'dart:ui' as ui;
import 'package:flutter/material.dart';

class MyPainter1 extends CustomPainter{
  Color lineColor;
  double completePercent;
  double width;
  double gapValue;
  double pi;
  bool ?fullProgress;
  MyPainter1({this.lineColor=Colors.black,this.completePercent=110,this.width=5,this.pi=3.14,this.fullProgress=false,this.gapValue=10});
  @override
  void paint(Canvas canvas, Size size) {
    double gap=100;

    gap=fullProgress??false?100:gap+gapValue;

    Paint complete =  Paint()
      ..color = lineColor
      ..strokeCap = StrokeCap.round
      ..style = PaintingStyle.stroke
      ..strokeWidth = width;
    Offset center  =  Offset((size.width/2), size.height/2);
    double radius  = min(size.width/2,size.height/2);

    double arcAngle = 2*pi* (completePercent/gap);

    canvas.drawArc(Rect.fromCircle(center: center,radius: radius),
        -pi/2,
        arcAngle,
        false,
        complete
    );


  }
  @override
  bool shouldRepaint(CustomPainter oldDelegate) {
    return true;
  }
}